#include <iostream>

using namespace std;

int main()
{
    int N, L;
    cin >> N;
    cin >> L;
    int pom, rez=-1;
    for (int i=0; i<N; i++){
            cin >> pom;
            if (rez<0){
                if (pom<=L){
                    rez=i+1;
                }
            }


    }
    cout <<rez;

}